std::_Temporary_buffer< _ForwardIterator, _Tp > Class Template Reference

`#include <stl_tempbuf.h>`

Inheritance diagram for std::_Temporary_buffer< _ForwardIterator, _Tp >:
[legend]

## Public Types

typedef pointer | iterator
typedef value_type * | pointer
typedef ptrdiff_t | size_type
typedef _Tp | value_type

## Public Member Functions

| _Temporary_buffer (_ForwardIterator __seed, size_type __original_len)
iterator | begin ()
iterator | end ()
size_type | requested_size () const
size_type | size () const

## Protected Attributes

pointer | _M_buffer
size_type | _M_len
size_type | _M_original_len

## Detailed Description

template<typename _ForwardIterator, typename _Tp>
class std::_Temporary_buffer< _ForwardIterator, _Tp >

This class is used in two places: stl_algo.h and ext/memory, where it is wrapped as the temporary_buffer class. See temporary_buffer docs for more notes.

Definition at line 122 of file stl_tempbuf.h.

## Member Typedef Documentation

## iterator

template<typename _ForwardIterator , typename _Tp >

typedef pointer std::_Temporary_buffer< _ForwardIterator, _Tp >::iterator

Definition at line 130 of file stl_tempbuf.h.

## pointer

template<typename _ForwardIterator , typename _Tp >

typedef value_type* std::_Temporary_buffer< _ForwardIterator, _Tp >::pointer

Definition at line 129 of file stl_tempbuf.h.

## size_type

template<typename _ForwardIterator , typename _Tp >

typedef ptrdiff_t std::_Temporary_buffer< _ForwardIterator, _Tp >::size_type

Definition at line 131 of file stl_tempbuf.h.

## value_type

template<typename _ForwardIterator , typename _Tp >

typedef _Tp std::_Temporary_buffer< _ForwardIterator, _Tp >::value_type

Definition at line 128 of file stl_tempbuf.h.

## Constructor & Destructor Documentation

## _Temporary_buffer()

template<typename _ForwardIterator , typename _Tp >

std::_Temporary_buffer< _ForwardIterator, _Tp >::_Temporary_buffer | ( | _ForwardIterator | __seed,
|  | size_type | __original_len
| ) |  |

Constructs a temporary buffer of a size somewhere between zero and the given length.

Definition at line 243 of file stl_tempbuf.h.

References std::get_temporary_buffer(), and std::return_temporary_buffer().

## ~_Temporary_buffer()

template<typename _ForwardIterator , typename _Tp >

std::_Temporary_buffer< _ForwardIterator, _Tp >::~_Temporary_buffer | ( |  | ) |

inline

Definition at line 165 of file stl_tempbuf.h.

## Member Function Documentation

## begin()

template<typename _ForwardIterator , typename _Tp >

iterator std::_Temporary_buffer< _ForwardIterator, _Tp >::begin | ( |  | ) |

inline

As per Table mumble.

Definition at line 151 of file stl_tempbuf.h.

## end()

template<typename _ForwardIterator , typename _Tp >

iterator std::_Temporary_buffer< _ForwardIterator, _Tp >::end | ( |  | ) |

inline

As per Table mumble.

Definition at line 156 of file stl_tempbuf.h.

## requested_size()

template<typename _ForwardIterator , typename _Tp >

size_type std::_Temporary_buffer< _ForwardIterator, _Tp >::requested_size | ( |  | ) | const

inline

Returns the size requested by the constructor; may be >size().

Definition at line 146 of file stl_tempbuf.h.

## size()

template<typename _ForwardIterator , typename _Tp >

size_type std::_Temporary_buffer< _ForwardIterator, _Tp >::size | ( |  | ) | const

inline

As per Table mumble.

Definition at line 141 of file stl_tempbuf.h.

## Member Data Documentation

## _M_buffer

template<typename _ForwardIterator , typename _Tp >

pointer std::_Temporary_buffer< _ForwardIterator, _Tp >::_M_buffer

protected

Definition at line 136 of file stl_tempbuf.h.

## _M_len

template<typename _ForwardIterator , typename _Tp >

size_type std::_Temporary_buffer< _ForwardIterator, _Tp >::_M_len

protected

Definition at line 135 of file stl_tempbuf.h.

## _M_original_len

template<typename _ForwardIterator , typename _Tp >

size_type std::_Temporary_buffer< _ForwardIterator, _Tp >::_M_original_len

protected

Definition at line 134 of file stl_tempbuf.h.

The documentation for this class was generated from the following file:

- stl_tempbuf.h